# post-config.rb - setup config generation

#--
# Mail-Retrainer, a spool manager for dovecot-antispam
# Copyright (c) 2012 Marc Dequènes (Duck) <Duck@DuckCorp.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#++

# General header.
header = <<HEADER
# config_setup.rb - setup configuration

#--
# Mail-Retrainer, a spool manager for dovecot-antispam
# Copyright (c) 2012 Marc Dequènes (Duck) <Duck@DuckCorp.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#++

# This file is automatically generated by the installer.
# Do not edit by hand.

HEADER

# Generate config_setup.rb containing general compile/setup time configuration
# information (in the MailRetrainer::Config module).
File.open('lib/mail-retrainer/config_setup.rb', 'w') do |file|

  file.print header
  file.print <<-CONFIG
module MailRetrainer
  class Config
    BIN_DIR   = '#{config('bindir')}'
    CFG_DIR   = '#{File.join(config('sysconfdir'), 'mail-retrainer')}'
    DATA_DIR  = '#{File.join(config('datadir'), 'mail-retrainer')}'
    LIB_DIR   = '#{config('rbdir')}'
    LOG_DIR   = '#{File.join(config('localstatedir'), 'log', 'mail-retrainer')}'
    RUN_DIR   = '#{File.join(config('localstatedir'), 'run', 'mail-retrainer')}'
    VAR_DIR   = '#{File.join(config('localstatedir'), 'lib', 'mail-retrainer')}'
    L10N_DIR  = '#{File.join(config('datadir'), 'locale')}'
  end
end
  CONFIG

end # File.open
